Migration from Wordpress 5.3?

Hello!
After growing fed up with all the bugs in Gutenberg I installed the classic editor plugin and have been using it for a few weeks. Now, I am interested in migrating my website to ClassicPress, but the migration plugin is not compatible with my current Wordpress-version (5.3) and I am wondering when to expect an update for it?

I tried downgrading my site to 5.2, but the migration tool still failed to launch and dropped me at a blank screen despite passing the version check.

2 Likes

Tagging @james here.
And welcome onboard @MidnightK

2 Likes

Did the migration still succeed after being taken back to the blank screen? I have had this issue in the past, and I think it is documented on GitHub. Let me see if I can find it.

Edit: couldn’t find it, but I know there was some discussion somewhere about this.

2 Likes

Clarification, site did not show any signs of transition even after a 60+ second wait. I was also told by the dashboard that I was using Wordpress still. I did however revert to a backup just in case.

3 Likes

Hi @MidnightK , and welcome!

I have had some problems in the past with these processes failing. I would say it is almost certainly hosting related. My host spent a lot of time trying to track it down and it turned out to be a Litespeed issue that was solved by upgrading Litespeed.

Do you have ftp access? Another option is to download the CP files, and then upload them to your server. You need to replace everything except the wp-config.php file and the wp-content folder which should be left intact.

2 Likes

We need to test and whitelist each new version of WordPress with the migration plugin. Has anyone done a migration from WP 5.3 as described here? https://github.com/ClassicPress/ClassicPress-Migration-Plugin#how-can-i-use-this-plugin-with-an-unsupported-version-of-wordpress

This should have worked also. Any errors in your PHP error log?

1 Like